summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorPumpkinCheshire2021-12-13 11:35:50 +0800
committerPumpkinCheshire2021-12-13 11:35:50 +0800
commit3493d2c421bfa1fe7b24c0885fcd2513ec41b592 (patch)
tree404785ec23d70e26274211a63576afc5d2daa70c /PKGBUILD
parentc23ee1e6f7087a12a186eb2f607d4c1559aa6326 (diff)
downloadaur-3493d2c421bfa1fe7b24c0885fcd2513ec41b592.tar.gz
0.14.4
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD8
1 files changed, 4 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index ee5116f52b6..d97aa864dc7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
pkgname=python-viztracer
_name=viztracer
-pkgver=0.14.3
+pkgver=0.14.4
pkgrel=1
pkgdesc='VizTracer is a low-overhead logging/debugging/profiling tool that can trace and visualize your python code execution.'
arch=('x86_64')
@@ -18,16 +18,16 @@ optdepends=(
'chromium: browser to open html results'
)
source=("https://files.pythonhosted.org/packages/source/${_name::1}/${_name}/${_name}-${pkgver}.tar.gz")
-b2sums=('a875213f0bd4a9150414a449be3b4a9aa6edf900c55b891444190f8cfe5de3c871bdc8960832ecaa05266cb166197e4b7e42e46f21b3e7bbd52fd27e512eca81')
+b2sums=('b46bc54d9ab74b8b8f1e96de4512f8583c46b51699f968971152b3af604efa67fc3eb99cb6618cc961aac7998bc3a506286dfc842896bbca91e3ca3fd654f41b')
build() {
- cd "$_name-$pkgver"
+ cd "$_name-$pkgver" || exit
export PYTHONHASHSEED=0
python setup.py build
}
package() {
- cd "$_name-$pkgver"
+ cd "$_name-$pkgver" || exit
python setup.py install --root="$pkgdir" --optimize=1 --skip-build
install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
# install -Dm644 $scrdir/README* "${pkgdir}/usr/share/doc/${pkgname}/README"